# nginx
FROM nginx:alpine
VOLUME ["/var/log/nginx/"]
RUN ln -sf /usr/share/zoneinfo/Asia/Shanghai /etc/localtime && echo 'Asia/Shanghai' >/etc/timezone
# Set working directory to nginx asset directory
WORKDIR /var/www/html/h5/
# Remove default nginx static assets
RUN rm -rf ./*
# Copy static assets from builder stage
COPY static/ static/
COPY index.html index.html
COPY nginx.conf /etc/nginx/nginx.conf

WORKDIR /var/www/html/wechat
COPY ItnIxOQr0x.txt ItnIxOQr0x.txt
#
EXPOSE 80
# Containers run nginx with global directives and daemon off
ENTRYPOINT ["nginx", "-g", "daemon off;"]